Name:		reporter-vz-criu-plugin	
Version:	0.2
Release:	7%{?dist}
Summary:	Reporter plugin for criu migrations

Group:		System/Other
License:	BSD
URL:		reporter-vz-criu-plugin
Source0:	dump_log.c
Source1:	component_maker.py

BuildRequires:	criu-devel
Requires:	criu

ExclusiveArch:	x86_64

%description
Plugin to report criu migration events


%prep
install -m 0644 %{SOURCE0} .


%build
#% {__cc} %{optflags} dump_log.c -o %{name}.so -I/usr/include -fPIC
%{__cc} -g -Werror -Wall -shared -nostartfiles dump_log.c -o %{name}.so -iquote -I/usr/include -fPIC


%install
mkdir -p %{buildroot}%{_libdir}/criu-plugins
mkdir -p %{buildroot}%{_libexecdir}
install -m 0644 %{name}.so %{buildroot}%{_libdir}/criu-plugins
install -m 0755 %{SOURCE1} %{buildroot}%{_libexecdir}/component_maker

%files
%{_libdir}/criu-plugins
%{_libexecdir}/component_maker
